debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: Проблема с установкой lamp  (Прочитано 1241 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн fdhyw4yu

  • Новичок форума
  • Topic Author
  • Сообщений: 2
Проблема с установкой lamp
« : 10 Май 2017, 20:04:18 »
apt-get install apache2 libapache2-mod-fastcgi php7.0 php7.0-fpm-phpmyadmin mysql-client-5.67 mysql-server-5.7
проблема:
E: Package 'libapache2-mod-fastcgi' has no installation candidate
E: Unable to locate package php7.0
E: Couldn't find any package by regex 'php7.0'
E: Unable to locate package php7.0-fpm
E: Couldn't find any package by regex 'php7.0-fpm'
E: Unable to locate package mysql-client-5.7
E: Couldn't find any package by regex 'mysql-client-5.7'
E: Unable to locate package mysql-server-5.7
E: Couldn't find any package by regex 'mysql-server-5.7'
Либо как можно прикрутить новейшие версии по примеру ошибки выше. Желательно, не пхп 5 версий... Я новичек, не кидайтесь помидорами, спасибо.
 

Онлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3174
  • wheezy KDE & jessie LXDE & stretch KDE
Re: Проблема с установкой lamp
« Ответ #1 : 10 Май 2017, 21:23:38 »
Поставить не проблема, проблемы скорее всего будут после установки. Такие действия могут привести к нарушению зависимостей со всеми вытекающими. Но если вам всё равно надо нагугливается элементарно как и любая вредная хрень https://rusadmin.biz/web-server/ustanovka-php-7-0-5-na-debian/
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: fdhyw4yu

Оффлайн fdhyw4yu

  • Новичок форума
  • Topic Author
  • Сообщений: 2
Re: Проблема с установкой lamp
« Ответ #2 : 10 Май 2017, 22:10:28 »
Хотите сказать, что установка php5 будет более правильней чем php7, из-за не совместимостей php7.
Эти статьи являются актуальными и для дебиана?:
https://librebay.blogspot.com/2016/03/lamp-phpmyadmin-ubuntu-1604.html
https://www.howtoforge.com/tutorial/install-apache-with-php-and-mysql-on-ubuntu-16-04-lamp/
https://www.digitalocean.com/community/tutorials/linux-apache-mysql-php-lamp-ubuntu-16-04-ru
И есть какие-то гайды для нуба как развернуть веб сервер на дебиане?
 

Оффлайн ZEN

  • Местный житель
  • ***
  • Сообщений: 217
Re: Проблема с установкой lamp
« Ответ #3 : 10 Май 2017, 22:30:55 »
fdhyw4yu, почему бы не воспользоваться docker для создания контейнера с необходимой версией lamp?

Cообщение объединено 10 Май 2017, 22:34:00
На первый взгляд, вот этот репозиторий выглядит подходящим.
« Последнее редактирование: 10 Май 2017, 22:34:00 от ZEN »
бог создал труд и обезьяну
чтоб получился человек
а вот пингвина он не трогал
тот сразу вышел хорошо
 
Пользователи, которые поблагодарили этот пост: fdhyw4yu

Онлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3174
  • wheezy KDE & jessie LXDE & stretch KDE
Re: Проблема с установкой lamp
« Ответ #4 : 11 Май 2017, 10:43:09 »
На первый взгляд, вот этот репозиторий выглядит подходящим.
Надо только сделать пометку на разницу между репозиторием исходного кода и готовых бинарных пакетов. Действительно технически возможно очень многое если правильно собирать из исходников но
установка бинарных пакетов из сторонних весьма сомнительных источников да ещё и на сервер совсем не есть good. Дело в том что создатели таких бинарных репозиториев решают одну очень узкую задачу не обращая внимания на остальную систему.
Естественно каждый пользователь решает свои задачи, но на мой взгляд цена вопроса локальной сборки одной двух программ из исходников гораздо ниже чем нарушения в работе apt.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн ZEN

  • Местный житель
  • ***
  • Сообщений: 217
Re: Проблема с установкой lamp
« Ответ #5 : 11 Май 2017, 12:12:04 »
Надо только сделать пометку на разницу между репозиторием исходного кода и готовых бинарных пакетов. Действительно технически возможно очень многое если правильно собирать из исходников но
установка бинарных пакетов из сторонних весьма сомнительных источников да ещё и на сервер совсем не есть good. Дело в том что создатели таких бинарных репозиториев решают одну очень узкую задачу не обращая внимания на остальную систему.
Естественно каждый пользователь решает свои задачи, но на мой взгляд цена вопроса локальной сборки одной двух программ из исходников гораздо ниже чем нарушения в работе apt.

Тут ничего не нужно собирать из исходников. Нужно установить docker и docker-compose. Используя git pull получить репозиторий с github -а и запустить команду docker-compose up. В результате создается изолированный контейнер с убунтой, php7, apache, mysql. Можно представить себе это как VirtualBox.
бог создал труд и обезьяну
чтоб получился человек
а вот пингвина он не трогал
тот сразу вышел хорошо
 

Онлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3174
  • wheezy KDE & jessie LXDE & stretch KDE
Re: Проблема с установкой lamp
« Ответ #6 : 11 Май 2017, 14:46:17 »
А что вариант вполне жизнеспособный, это лучше чем лепить горбатого в основной системе.
Русские дебианщики против цифрового слабоумия !
 

Русскоязычное сообщество Debian GNU/Linux

Re: Проблема с установкой lamp
« Ответ #6 : 11 Май 2017, 14:46:17 »


Теги:
 

GIT - проблема с клонированием (скачиванием)

Автор sunjob

Ответов: 2
Просмотров: 1272
Последний ответ 16 Ноябрь 2015, 14:01:27
от ferum
Шлюз на debian, проблема с iptables

Автор Romkij

Ответов: 4
Просмотров: 2352
Последний ответ 17 Сентябрь 2011, 11:54:03
от Kuper
Проблема с модулем pam_sss.so

Автор realvava

Ответов: 2
Просмотров: 868
Последний ответ 13 Июль 2017, 09:42:39
от realvava
Проблема с обновлениями debian

Автор aninim

Ответов: 3
Просмотров: 1498
Последний ответ 15 Май 2012, 07:31:03
от aninim
[Решено] Проблема с кодировкой в mysql 5.5.31-0+wheezy1. Господа помогите!

Автор moskov199

Ответов: 3
Просмотров: 1471
Последний ответ 24 Июль 2013, 21:02:51
от ihammers